<?php


namespace Schaffen\Core\Product\Repositories;


use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Core\Product\Models\Snapshot;

class SnapshotRepository extends Repository
{
    protected $model = Snapshot::class;


    protected $searchableFields = [
        ['field' => 'sna_codigo'],
        ['field' => 'sna_fk_loe_codigo'],
        ['field' => 'sna_fk_pve_codigo'],
    ];

    protected function applyCustomFilters()
    {

        extract($this->filters);

    }


    public function getEstoqueMobile($loe_codigo){
        $estoque_produtos = Snapshot::where('sna_fk_loe_codigo',$loe_codigo)
            ->join('produto.produto_variedade_embalagem','sna_fk_pve_codigo','pve_codigo')
            ->join('produto.produto_variedade','pve_fk_prv_codigo','prv_codigo')
            ->join('produto.produto','prv_fk_pro_codigo','pro_codigo')
            ->where('produto.produto.pro_mobile',1)
            ->get();
        return $estoque_produtos;
    }
}